<template>

<div class="relative">
    <select
        v-on:input="$emit('input', $event.target.value)"
        class="
        appearance-none
        cursor-pointer
        w-full
        bg-gray-200
        dark:bg-cgray-800
        border-2
        border-gray-200
        dark:border-cgray-800
        py-2
        px-4
        pr-8
        rounded-lg
        leading-tight
        focus:outline-none
        focus:border-blue-500
        dark:focus:border-blue-400
        focus:shadow-outline
        focus:bg-white
        dark:focus:bg-cgray-900
    ">
        <slot></slot>
    </select>
    <div class="
        pointer-events-none
        absolute
        inset-y-0
        right-0
        flex
        items-center
        px-2
    ">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="h-6 w-6"><polyline points="6 9 12 15 18 9"></polyline></svg>
    </div>
</div>

</template>

<script lang="ts">

import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class C extends Vue {
    // @Prop({ default: false })
    // private isCentered!: boolean;

    // @Prop({ default: false })
    // private isFullWidth!: boolean;

    // @Prop({ default: false })
    // private isLarge!: boolean;

    // @Prop({ default: '' })
    // private selected!: string;

    private isActive: boolean = false;
}

</script>
